# Generated from i18n-js-3.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name i18n-js

Name: rubygem-%{gem_name}
Version: 3.9.0
Release: 1%{?dist}
Summary: It's a small library to provide the Rails I18n translations on the Javascript
License: MIT
URL: http://rubygems.org/gems/i18n-js
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(appraisal) >= 2.3
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(gem-release) >= 0.7
# BuildRequires: rubygem(coveralls) >= 0.7
BuildArch: noarch

%description
It's a small library to provide the Rails I18n translations on the Javascript.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%{gem_instdir}/Appraisals
%{gem_instdir}/app
%{gem_instdir}/gemfiles
%{gem_instdir}/i18njs.png
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/yarn.lock
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/i18n-js.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.9.0-1
- Initial package
